<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- Have id attribute  -->
		<!-- id attributes is used  -->
		<h2 id="top">HTML Attributes</h2>
		<!-- Used an align attribute which changes the alignment of the paragraph element-->
		<p align="center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>
		<p align="right"><em>An image can be shown using &lt; img &gt; tag along with its <strong> src </strong>attribute.</em></p>

		<!-- Adds an image using absolute linking  -->
		<!-- src accepts url where the image comes from -->
		<img src="https://place-puppy.com/300x300">

		<!-- Used code tag -->
		<!-- Code tag is used to define a piece of computer code-->
		<p>
			<code>&lt; img src="https://place-puppy.com/300x300" &gt; </code>
		</p>


		<!-- Have an anchor tag -->
		<p align="center"> This one have anchor tag. Which redirects to the link of the photo</p><a href="https://place-puppy.com/300x300"> 
			<img src="https://place-puppy.com/300x300"></a>

		
		<!--img tag is self-closing tag  -->
		<img src="./images/zuittlogo.png">

		<!-- ./ means from your current directory -->
		<p>
			<code>&lt; img src="./images/zuittlogo.png" &gt;</code>
		</p>

		<p>Valid image extensions are the following</p>
		<!-- Other values for the type attribute are "1, A, a, i, I" -->
		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>
		<!-- Creates a hyperlink element that redirects to a different page. -->
		<!-- target="_blank" opens the link on a new page -->
		<a href="https://zuitt.co/" target="_blank">I'm a hyperlink</a>

		<h4>Relative Link</h4>
		<!-- Creates a hyperlink element that redirects  -->
		<p>Go to <a href="./link.html">link.html</a> page</p>

		<p>Go to <a href="./images/index.html">images/index.html</a> .</p>

		<!-- Used id="top" as a reference -->
		<p>Go to <a href="#top">top</a>.</p>

		<!-- Try next page link-->
		<!-- This can't be done. It must be on a same file?-->
		<!-- <p>Go to the <a href="#next">next page</a>.</p> -->

		<p>Take a look at MDN references 
			<a href="https://developer.mozilla.org/en-US/" target="_blank"> here.</a>
		</p>



	</body>
</html>